Canalplan Bug Tracker



Anonymous Login
2017-10-18 15:59 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000278Canalplan Route Planningpublic2017-07-31 09:30
ReporterMike on The Wey 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOS10 homeOS Version1607
Product VersionProduct Build14393.1066 
Target VersionFixed in Version 
Summary0000278: Straight line on map
DescriptionRiver Wey. Route - Stoke Lock to Dapdune Wharf (but the issue occurs on longer routes too). The mapped route doesn't follow the river north of the A3. Maybe it needs some more WEYpoints, if you'll pardon the pun?

I can get the same result on my Android phone and Windows tablet.
Steps To ReproducePlan journey Stoke Lock No. 5 to Dapdune Wharf.
Calculate route.
View map and compare to line of river north of A3.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001116

Stephen Atty (administrator)

Lots of waypoints on the route.

I suspect its something to do with an underlying link in the data. So I'll assign it to Nick for investigation

~0001124

Nick Atty (administrator)

Normally intermediate marker places aren't used when plotting route maps to keep the sheer volume down to manageable numbers (there are 3.6 times as many marker places as places in total, and on some waterways - including the Wey - many times more).

There should be a nudge that when the route is short shows them - it doesn't seem to be working.

You can see the difference if you go to preferences/exclusions/types of place and turn off the exclude for route plans, then replan the route. Lots and lots of markers and the route follows the river.

Will work out why it's not showing markers on the maps for short routes (which also applies for some days in longer routes)

~0001139

Nick Atty (administrator)

That code had never been written! I've fixed thing with a fairly arbitrary check for the number of places being displayed which seems to work in most circumstances.

~0001189

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-17 20:09 Mike on The Wey New Issue
2017-05-17 20:09 Mike on The Wey File Added: Canalplan.docx
2017-05-17 20:33 Stephen Atty Note Added: 0001116
2017-05-17 20:33 Stephen Atty Assigned To => Nick Atty
2017-05-17 20:33 Stephen Atty Status new => assigned
2017-06-06 07:23 Nick Atty Note Added: 0001124
2017-07-01 09:01 Nick Atty Status assigned => resolved
2017-07-01 09:01 Nick Atty Resolution open => fixed
2017-07-01 09:01 Nick Atty Note Added: 0001139
2017-07-31 09:30 Autoclose Note Added: 0001189
2017-07-31 09:30 Autoclose Status resolved => closed
+Issue History